############################################################################
#
# ~/etc/nodelist.conf   Nodelist configuration for MBSE BBS.
# $Id$
#
############################################################################
# Copyright (C) 1997-2003
#   
# Michiel Broek                FIDO:   2:280/2802
# Beekmansbos 10
# 1971 BV IJmuiden
# the Netherlands
#
# This file is part of MBSE BBS.
#
# This BBS is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# MBSE BBS is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with MBSE BBS; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#############################################################################

# WARNING: This file is needed from v0.37.00 and later. The format of this
# file is under development.
# It will implement some new features that will become FTSC standards 
# during 2003
#
# WARNING: Do not change anything in this file unless you know what
# you are doing.
#
# WARNING: During development this file will be overwritten during each
# make install, so don't even bother to change it in the ~/etc directory.
#
# WARNING: This file will replace hardcoded behaviour of several parts of
# the MBSE BBS package, tampering with this file is at your own risk.



# Online special flags.
#
online		CM	0x00000001
online		MO	0x00000002
online		LO	0x00000004
online		MN	0x00000008


# Request flags, masks:
#       0x00000001      Bark request
#       0x00000002      Bark update
#       0x00000004      Wazoo request
#       0x00000008      Wazoo update
#
request XA      0x0000000F      # Bark request, Bark update, Wazoo request, Wazoo update
request XB      0x00000007      # Bark request, Bark update, Wazoo request
request XC      0x0000000D      # Bark request, Wazoo request, Wazoo update
request XP      0x00000003      # Bark request, Bark update
request XR      0x00000005      # Bark request, Wazoo request
request XW      0x00000004      # Wazoo request
request XX      0x0000000C      # Wazoo request, Wazoo update

# Request flags bits
#
reqbits	RQ_BR	0x00000001	# Bark request
reqbits	RQ_BU	0x00000002	# Bark update
reqbits	RQ_WR	0x00000004	# Wazoo request
reqbits	RQ_WU	0x00000008	# Wazoo update



# Network services, the valid IP flags translated to the internet service
# names and their default ports.
#
service	IBN	binkp	24554
service	IFC	fido	60179
service	ITN	telnet	23


# Switched network service names, they are used to build the
# URLs for modem and ISDN lines.
#
dialer	pots
dialer	isdn


# Modem flags, order is important to check the fastest possible connection
# method. This also masks implied modes.
#
#	flag	entry		implied mask
pots	MNP	0x00000001	0x00000001
pots	V42	0x00000002	0x00000003	# implies MNP
pots	V42B	0x00000004	0x00000007	# implies MNP and V42
pots	V22	0x00000008	0x00000008
pots	V29	0x00000010	0x00000010
pots	V32	0x00000020	0x00000020
pots	H96	0x00000040	0x00000040
pots	HST	0x00000080	0x00000081	# implies MNP
pots	MAX	0x00000100	0x00000100
pots	PEP	0x00000200	0x00000200
pots	CSP	0x00000400	0x00000400
pots	V32B	0x00000800	0x00000820	# implies V32
pots	H14	0x00001000	0x00001081	# implies HST and MNP
pots	V32T	0x00002000	0x00002820	# implies V32B and V32
pots	H16	0x00004000	0x00005087	# implies H14, HST, MNP, V42, V42B
pots	ZYX	0x00008000	0x00008827	# implies V32B, V32, V42B, V42, MNP
pots	Z19	0x00010000	0x00018827	# implies V32B, V32, V42B, V42, MNP, ZYX
pots	VFC	0x00020000	0x00020000
pots	V34	0x00040000	0x00040000
pots	X2C	0x00080000	0x001B0000	# implies X2S, V34
pots	X2S	0x00100000	0x00140000	# implies V34
pots	V90C	0x00200000	0x00640000	# implies V90S, V34
pots	V90S	0x00400000	0x00440000	# implies V34


# ISDN flags in order of best speed.
#
#	flag	mask		ORed mask
isdn	V110L	0x00000001	0x00000001
isdn	V110H	0x00000002	0x00000002
isdn	V120L	0x00000004	0x00000004
isdn	V120H	0x00000008	0x00000008
isdn	X75	0x00000010	0x00000010



# Supported IP protocols by the mailer in order of preference.
# The names must match the service names.
#
tcpip	ITN	0x00000001	0x00000001
tcpip	IFC	0x00000002	0x00000002
tcpip	IBN	0x00000004	0x00000004


# The following gives the order to search for the 
# FQDN or IP address of the node. Valid values are:
#   field3		- Search in the system name field, may have :port suffix.
#                         192.168.1.40:1234 or ntbox.mbse.ym:5678 are valid.
#   field6		- Search the phone field for 000- prefix, may be a IP
#                         or a FQDN with or without a :port suffix.
#			  000-192-168-1-40:1234 or 000-ntbox.mbse.ym:5678 are valid.
#   field8		- Search in the flags for a FQDN. Valid flags are like:
#			  IBN:domain.com		Standard
#			  IFC:domain.com:port		Standard
#			  IBN:1.2.3.5			Standard
#			  ITN:1.2.3.4:port		Standard
#			  IBN:*				Proposed, use default domain
#			  IBN:*:port			Not yet proposed
#   eslf		- Extended St. Louis Format fields (NOT YET AVAILABLE)
#   defdomain		- Asume default domain (VERY EXPERIMENTAL)
#
# In all cases, the nodes setup overrides everything.
# Order is important, defdomain must be the last if used.
#
search		field3
search		field6
search		field8
search		defdomain


# The default searchdomain, will be prefixed with f1.n2.z3.fidonet or
# f33.n44.z55.othernet. Add other networks here.
# Node 3:2/1 will look like: f1.n2.z3.fidonet.net
#
#		Zone	Suffix (without leading dot!)
domsuffix	1	net
domsuffix	2	net
domsuffix	3	net
domsuffix	4	net
domsuffix	5	net
domsuffix	6	net
domsuffix	92	mbse.ym

